API

Update SMS service settings

POST/api/crm/v2/integration_sms.updatev2
operationId: integrationSms.update

Updates SMS service settings. Service fields are passed as {field}; secret fields are encrypted before saving.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

Key template: ${field}

object
One of the options
object (IntegrationSmsUpdateCommon)
order_creation_notifications_channelstring

Values:botdisabledexternal_smsinternal_sms

Example: internal_sms

order_status_change_notifications_platformstring

Values:alldisabledsite

Example: site

authorization_force_code_enabledboolean

Example: true

idintegerrequired

Example: 1

api_idstring

Example: secret

fromstring

Example: secret

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject